relevé = [{'matière':'EPS','moyenne':11},
    {'matière':'Sciences','moyenne':6},
    {'matière':'LV1','moyenne':14},
    {'matière':'Histoire','moyenne':9},
    {'matière':'LV2','moyenne':15}]
a = ......
b = ......
for i in relevé :
  if i[a] > 10:
    print(i[b])